# Simple word embedding models

[![PyPI - Version](https://img.shields.io/pypi/v/pytorch-swem)](https://pypi.org/project/pytorch-swem/)
[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/schoennenbeck/swem/main?labpath=docs%2Fsource%2Fusage%2FDemo.ipynb)
[![PyPI - License](https://img.shields.io/pypi/l/pytorch-swem)](https://github.com/schoennenbeck/swem/blob/main/LICENSE)
[![Coverage Status](https://coveralls.io/repos/github/schoennenbeck/swem/badge.svg)](https://coveralls.io/github/schoennenbeck/swem)
[![Docs](https://readthedocs.org/projects/pytorch-swem/badge/?version=latest)](https://pytorch-swem.readthedocs.io/)

A pytorch implementation of the Simple Word Embedding Model from the paper [Baselines need more love](https://arxiv.org/abs/1808.09843) and some additional models and utilities.

## Installation

### From pypi

To install this package from pypi simply run

```
pip install pytorch-swem
```

### From source

To install from source clone this repository and install via pip:

```
git clone https://github.com/schoennenbeck/swem.git
cd swem
pip install .
```

## Usage

For an example of how to use this package please see the [demo-notebook](https://github.com/schoennenbeck/swem/blob/main/docs/source/usage/Demo.ipynb) [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/schoennenbeck/swem/main?labpath=docs%2Fsource%2Fusage%2FDemo.ipynb).

## Docs

The [documentation](https://pytorch-swem.readthedocs.io/) is hosted on readthedocs.
